Bug 1119622 (CVE-2014-4264) - CVE-2014-4264 OpenJDK: Incorrect TLS/EC management (Security, 8031340)
Summary: CVE-2014-4264 OpenJDK: Incorrect TLS/EC management (Security, 8031340)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-4264
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140715,repor...
Depends On:
Blocks: 1115835
TreeView+ depends on / blocked
 
Reported: 2014-07-15 07:23 UTC by Stefan Cornelius
Modified: 2019-06-08 20:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-21 16:11:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0902 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 19:39:16 UTC

Description Stefan Cornelius 2014-07-15 07:23:59 UTC
It was discovered that the Security component did not properly handle
data related to TLS and elliptic curves. An unauthenticated remote attacker
could exploit this to impact the availability of the Java Virtual Machine.

Comment 1 Tomas Hoger 2014-07-15 19:17:54 UTC
This issue affects Elliptic Curve (EC) cryptography implementation in OpenJDK.  The OpenJDK packages shipped in Red Hat Enterprise Linux and Fedora do not enable EC support, and hence were not affected by this issue.

Comment 2 Stefan Cornelius 2014-07-16 12:27:01 UTC
Fixed now in Oracle Java SE 7.0u65 and 8.0u11 via Critical Patch Update July 2014. 

Fixed in IcedTea 2.5.1 for OpenJDK 7:
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2014-July/028584.html

OpenJDK 7 Patch(es):
http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/c084492f9e3d


External reference:

http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html#AppendixJAVA

Comment 3 errata-xmlrpc 2014-07-18 01:46:38 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0902 https://rhn.redhat.com/errata/RHSA-2014-0902.html


Note You need to log in before you can comment on or make changes to this bug.